<?xml version="1.0" encoding="utf-8"?>
<manifest 
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="com.funambol.omadmclient.android.service"
	android:versionCode="1"
	android:versionName="1.0">
	
	<uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
	<uses-permission android:name="android.permission.INTERNET" />
    <uses-sdk android:minSdkVersion="9" />
    
    <application android:debuggable="true">
	<service android:name=".OmaDmClinetService">
		<intent-filter>
			<action android:name = "com.oma_dm_client.service"></action>
       	<category android:name = "android.intent.category.LAUNCHER"></category>
		</intent-filter>   
	</service>

	<receiver android:name="BootReceiverForOmaDmClientStart">
		<intent-filter>
			<action android:name ="android.intent.action.BOOT_COMPLETED"></action>
		</intent-filter>
	</receiver>
        
	<activity android:name=".NotificationsScreen" android:label="@string/notificationscreen_title">
		<intent-filter>
			<action android:name = "com.oma_dm_client.service.notificationsScreen" />
       	<category android:name="android.intent.category.DEFAULT" />
		</intent-filter>
	</activity>
       
	<activity android:name=".DaemonControllerActivity" android:label="@string/app_name">
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
    </activity>
    
    <activity android:name=".UIAlertWindow" android:label="@string/uialertwindow_title">
        <intent-filter>
            <action android:name = "com.oma_dm_client.service.uiAlertWindow" />
            <category android:name="android.intent.category.DEFAULT" />
        </intent-filter>
    </activity>
    
    </application>
    
 </manifest> 